# $Revision: 1.23.2.3 $, $Date: 2004/02/18 20:19:43 $
# conditional build
# _without_dist_kernel          without distribution kernel

%define		_orig_name	au88xx

Summary:	Aureal Vortex Linux Driver
Summary(pl):	Sterowniki dla Linuksa dla kart dwikowych opartych na Aureal Vortex
Name:		kernel-sound-%{_orig_name}
Version:	1.1.2
%define	_rel	13
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/aureal/%{_orig_name}-%{version}.tar.bz2
# Source0-md5:	b1aeaa4bb56ac015d90ca5f69261ab84
Patch0:		%{_orig_name}-Makefile.patch
Patch1:		%{name}-types.patch
URL:		http://sourceforge.net/projects/aureal/
%{!?_without_dist_kernel:BuildRequires:         kernel-headers }
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Provides:	au88xx
Obsoletes:	au88xx
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Aureal Vortex Linux Driver.

%description -l pl
Sterowniki do kart dwikowych opartych na Aureal Vortex.

%package -n kernel-smp-sound-%{_orig_name}
Summary:	Aureal Vortex Linux SMP Driver
Summary(pl):	Sterownik dla Linuksa SMP dla kart dwikowych opartych na Aureal Vortex
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod
Provides:	au88xx
Obsoletes:	au88xx

%description -n kernel-smp-sound-%{_orig_name}
Aureal Vortex Linux SMP Driver.

%description -n kernel-smp-sound-%{_orig_name} -l pl
Sterowniki SMP do kart dwikowych opartych na Aureal Vortex.

%prep
%setup -q -n aureal
%patch0 -p1
%patch1 -p1

%build
#8810
%{__make} CFLAGS="-D__KERNEL__ -D__SMP__ -D__KERNEL_SMP=1 -DMODULE -DAU8810 %{rpmcflags} -fomit-frame-pointer -pipe -Wall -I%{_kernelsrcdir}/include" AUCHIP=AU8810 au8810.o
mv -f au8810.o au8810-smp.o
%{__make} clean
%{__make} CFLAGS="-D__KERNEL__ -DMODULE -DAU8810 %{rpmcflags} -fomit-frame-pointer -pipe -Wall -I%{_kernelsrcdir}/include" AUCHIP=AU8810 au8810.o
%{__make} clean

#8820
%{__make} CFLAGS="-D__KERNEL__ -D__SMP__ -D__KERNEL_SMP=1 -DMODULE -DAU8820 %{rpmcflags} -fomit-frame-pointer -pipe -Wall -I%{_kernelsrcdir}/include" AUCHIP=AU8820 au8820.o
mv -f au8820.o au8820-smp.o
%{__make} clean
%{__make} CFLAGS="-D__KERNEL__ -DMODULE -DAU8820 %{rpmcflags} -fomit-frame-pointer -pipe -Wall -I%{_kernelsrcdir}/include" AUCHIP=AU8820 au8820.o
%{__make} clean

#8830
%{__make} CFLAGS="-D__KERNEL__ -D__SMP__ -D__KERNEL_SMP=1 -DMODULE -DAU8830 %{rpmcflags} -fomit-frame-pointer -pipe -Wall -I%{_kernelsrcdir}/include" AUCHIP=AU8830 au8830.o
mv -f au8830.o au8830-smp.o
%{__make} clean
%{__make} CFLAGS="-D__KERNEL__ -DMODULE -DAU8830 %{rpmcflags} -fomit-frame-pointer -pipe -Wall -I%{_kernelsrcdir}/include" AUCHIP=AU8830 au8830.o

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
#8810
install au8810-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/au8810.o
install au8810.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/au8810.o
#8820
install au8820-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/au8820.o
install au8820.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/au8820.o
#8830
install au8830-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/au8830.o
install au8830.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/au8830.o

%clean 
rm -rf $RPM_BUILD_ROOT

%post
/sbin/depmod -a

%postun
/sbin/depmod -a

%post -n kernel-smp-sound-%{_orig_name}
/sbin/depmod -a

%postun -n kernel-smp-sound-%{_orig_name}
/sbin/depmod -a

%files
%defattr(644,root,root,755)
%doc README ChangeLog
/lib/modules/%{_kernel_ver}/misc/*

%files -n kernel-smp-sound-%{_orig_name}
%defattr(644,root,root,755)
%doc README ChangeLog
/lib/modules/%{_kernel_ver}smp/misc/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-sound-au88xx.spec,v $
Revision 1.23.2.3  2004/02/18 20:19:43  undefine
- release 13, md5sum

Revision 1.23.2.2  2003/07/11 12:01:34  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.23.2.1  2003/05/11 16:45:28  dzimi
- rel++; rebuild with 2.2.25-3

Revision 1.23  2003/03/23 23:39:26  blues
- release 11; rebuild with 2.2.25

Revision 1.22  2003/02/25 12:55:33  qboosh
- working Source URL

Revision 1.21  2002/11/17 18:32:57  kloczek
- release 10: rebuild against kernel 2.2.22-6.

Revision 1.20  2002/09/30 13:43:08  kloczek
- release 9: rebuild against kernel 2.2.22.

Revision 1.19  2002/09/18 20:45:22  undefine
- add url

Revision 1.18  2002/09/16 07:50:08  marcus
- ExclusiveArch %%{ix86} due to binary objects for ix86
without source code in tarball.
- rel.8.

Revision 1.17  2002/08/19 16:52:02  blues
- fix in docs - STBR again

Revision 1.16  2002/08/19 16:46:09  marcus
- fixed compiling, use new %%doc

Revision 1.15  2002/08/18 18:19:25  kloczek
- typo.

Revision 1.14  2002/08/18 17:54:56  kloczek
- release 7: rebuild against kernel 2.2.21.

Revision 1.13  2002/07/03 09:24:04  wolf
- spelling

Revision 1.12  2002/03/17 16:06:25  dzimi
- update release numbers to build with new kernel release

Revision 1.11  2002/03/04 22:17:03  marcus
- use new macros (ver-rel)
-rel 5

Revision 1.10  2002/03/04 17:24:11  marcus
- smp and up module is NOT obsolete

Revision 1.9  2002/03/04 17:00:15  marcus
- now --without dist_kernel is ok

Revision 1.8  2002/03/04 16:42:04  marcus
- now rel is: modulerelease@kernelver-kernelrel
- rel.5

Revision 1.7  2002/02/26 15:26:28  qboosh
- use requires_releq_kernel_{up,smp} macros, release 4

Revision 1.6  2002/02/23 22:10:33  saq
- change Conflicts: wrong-kernel to Requires: right-kernel
- release 3, STBR

Revision 1.5  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/17 18:58:40  kloczek
- adapterized.

Revision 1.3  2002/02/10 19:01:53  marcus
- rel.2 (for build with 2.2.20-10 and new 2.4)

Revision 1.2  2002/01/27 10:17:05  marcus
- some typos in Conflicts: in SMP subpackage

Revision 1.1  2002/01/27 10:02:25  marcus
- new naming scheme, some up/smp changes

Revision 1.7  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/16 10:01:51  qboosh
- added empty base package to remove junk from .src.rpm name
- fix: run depmod in %%postun, not %%preun
- release 2

Revision 1.5  2001/09/30 13:54:56  undefine
- build another 2 modules
- added Makefile patch
- module work on distro kernel(2.2.18)
- STB?

Revision 1.4  2001/09/27 10:38:41  qboosh
- added Source0 URL

Revision 1.3  2001/09/20 16:17:14  saq
- new kernel module naming scheme
- s/-/_/g in @... release suffix

Revision 1.2  2001/08/15 20:32:54  saq
- use %%_kernelsrcdir
- conditional smp build
- @... release suffix
- conflicts wrong kernel

Revision 1.1  2001/07/13 10:49:51  undefine
- initital RPM version (not testet yet)
